Resource

Status Page Subscriber

Subscriber that subscribed to your status page

The Status Page Subscriber Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    statusPage
    Type
    Status Page
    Description

    Relation to Status Page Resource in which this object belongs

  • Name
    statusPageId
    Type
    Object IDRequired
    Description

    ID of your Status Page resource where this object belongs

  • Name
    subscriberEmail
    Type
    Email
    Description

    Email address of the subscriber.

  • Name
    subscriberPhone
    Type
    Phone
    Description

    Phone number of subscriber

  • Name
    subscriberWebhook
    Type
    Short URL
    Description

    Webhook to ping when events happen on Status Page

  • Name
    slackIncomingWebhookUrl
    Type
    Short URL
    Description

    Slack incoming webhook URL to send notifications to Slack channel

  • Name
    slackWorkspaceName
    Type
    Text
    Description

    Name of the Slack workspace for validation and identification

  • Name
    microsoftTeamsIncomingWebhookUrl
    Type
    URL
    Description

    Microsoft Teams incoming webhook URL to send notifications to Teams channel

  • Name
    microsoftTeamsWorkspaceName
    Type
    Very Long Text
    Description

    Name of the Microsoft Teams workspace for validation and identification

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    isSubscriptionConfirmed
    Type
    Boolean
    Description

    Has subscriber confirmed their subscription? (for example, by clicking on a confirmation link in an email)

  • Name
    subscriptionConfirmationToken
    Type
    Text
    Description

    Token used to confirm subscription. This is a random token that is sent to the subscriber's email address to confirm their subscription.

  • Name
    isUnsubscribed
    Type
    Boolean
    Description

    Is Subscriber Unsubscribed?

  • Name
    sendYouHaveSubscribedMessage
    Type
    Boolean
    Description

    Send You Have Subscribed Message when subscriber is created?

  • Name
    isSubscribedToAllResources
    Type
    Boolean
    Description

    Is Subscriber Subscribed to All Resources on this status page?

  • Name
    isSubscribedToAllEventTypes
    Type
    Boolean
    Description

    Is Subscriber Subscribed to All Event Types (like Incidents, Scheduled Events, Announcements) on this status page?

  • Name
    statusPageResources
    Type
    Status Page Resource
    Description

    Relation to Status Page Resources where this subscriber is subscribed to

  • Name
    statusPageEventTypes
    Type
    JSON
    Description

    Which event types is the subscriber subscribed to (like Incidents, Scheduled Events, Announcements)

  • Name
    internalNote
    Type
    Markdown
    Description

    Any notes or text you would like to add to this subscriber object. This is for internal use only.

GETorPOST/api/status-page-subscriber/get-list

List

This endpoint allows you to retrieve a paginated list of all your Status Page Subscriber. By default, a maximum of ten Status Page Subscriber are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/status-page-subscriber/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "statusPageId": true,
    "createdByUserId": true,
    "subscriberEmail": true,
    "subscriberWebhook": true
  },
  "query": {
    "microsoftTeamsWorkspaceName": "Example microsoft teams workspace name"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377d7890-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "statusPageId": "b2c3d4e5-f6a7-8901-bcde-f1234567890a",
      "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
      "subscriberEmail": "subscriber@example.com",
      "subscriberWebhook": "https://example.com/webhook"
    },
    {
      "_id": "377d7891-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "statusPageId": "b2c3d4e5-f6a7-8901-bcde-f1234567890a",
      "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
      "subscriberEmail": "subscriber@example.com",
      "subscriberWebhook": "https://example.com/webhook"
    },
    {
      "_id": "377d7892-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "statusPageId": "b2c3d4e5-f6a7-8901-bcde-f1234567890a",
      "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
      "subscriberEmail": "subscriber@example.com",
      "subscriberWebhook": "https://example.com/webhook"
    }
  ]
}
GETorPOST/api/status-page-subscriber/:id/get-item

Get item by ID

This endpoint allows you to retrieve Status Page Subscriber by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/status-page-subscriber/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "statusPageId": true,
    "createdByUserId": true,
    "subscriberEmail": true,
    "subscriberWebhook": true
  }
}

Response

{
  "_id": "377d7890-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "statusPageId": "b2c3d4e5-f6a7-8901-bcde-f1234567890a",
  "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
  "subscriberEmail": "subscriber@example.com",
  "subscriberWebhook": "https://example.com/webhook"
}
POST/api/status-page-subscriber/count

Count

This endpoint allows you to retrieve the count of all your Status Page Subscriber.

Optional Request Body

Count Request

POST
/api/status-page-subscriber/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "microsoftTeamsWorkspaceName": "Example microsoft teams workspace name"
  }
}

Response

{
  "count": 107
}
POST/api/status-page-subscriber

Create Status Page Subscriber

This endpoint allows you to create a new object.

Create Request

POST
/api/status-page-subscriber
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "statusPageId": "b2c3d4e5-f6a7-8901-bcde-f1234567890a",
    "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
    "subscriberEmail": "subscriber@example.com",
    "subscriberWebhook": "https://example.com/webhook"
  }
}

Response

{
  "_id": "377d7890-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "statusPageId": "b2c3d4e5-f6a7-8901-bcde-f1234567890a",
  "createdByUserId": "c3d4e5f6-a7b8-9012-cdef-234567890abc",
  "subscriberEmail": "subscriber@example.com",
  "subscriberWebhook": "https://example.com/webhook"
}
PUT/api/status-page-subscriber/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-subscriber/:id/update-item
GET/api/status-page-subscriber/:id/update-item

Update Request

PUT
/api/status-page-subscriber/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "subscriberEmail": "subscriber@example.com",
    "subscriberWebhook": "https://example.com/webhook",
    "internalNote": "Example notes content"
  }
}

Response

{}
DELETE/api/status-page-subscriber/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-subscriber/:id/delete-item
GET/api/status-page-subscriber/:id/delete-item

Delete Request

DELETE
/api/status-page-subscriber/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Status Page Subscriber

  • Project Owner
  • Project Admin
  • Project Member
  • Read Status Page Subscriber
  • Read All Project Resources

Create Permissions

Required to create Status Page Subscriber

  • Project Owner
  • Project Admin
  • Project Member
  • Create Status Page Subscriber
  • Public

Update Permissions

Required to update Status Page Subscriber

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Status Page Subscriber

Delete Permissions

Required to delete Status Page Subscriber

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Status Page Subscriber